Page MenuHomePhabricator

Anon users can access public view from main menu
Closed, ResolvedPublic0 Story Points

Description

When anonymous and I click collections I am taken to the public view (instead of being prompted to log in).

Event Timeline

JKatzWMF created this task.Jun 2 2015, 3:59 PM
JKatzWMF updated the task description. (Show Details)
JKatzWMF raised the priority of this task from to Needs Triage.
JKatzWMF added a project: Gather.
JKatzWMF moved this task to Must haves on the Gather board.
JKatzWMF added a subscriber: JKatzWMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2015, 3:59 PM

In T96222 there is a 'my collections' do anons see this? Does it prompt them to login?

Jdlrobson updated the task description. (Show Details)Jun 2 2015, 7:27 PM
Jdlrobson set Security to None.
JKatzWMF updated the task description. (Show Details)Jun 2 2015, 7:28 PM
Jdlrobson updated the task description. (Show Details)Jun 2 2015, 7:36 PM
Jdlrobson edited a custom field.Jun 2 2015, 7:42 PM
Jdlrobson renamed this task from Anon users can access public view to Anon users can access public view from main menu.Jun 8 2015, 4:26 PM
kaldari updated the task description. (Show Details)Jun 8 2015, 4:27 PM

Yes. Show the my collections tab with the new button (that when clicked goes to login).

Jdlrobson claimed this task.

Change 217715 had a related patch set uploaded (by Jdlrobson):
Collections link for anon takes user to public view.

https://gerrit.wikimedia.org/r/217715

Change 217715 merged by jenkins-bot:
Collections link for anon takes user to public view.

https://gerrit.wikimedia.org/r/217715

I've reverted this whilst we have issues with templating in https://phabricator.wikimedia.org/T101918

Change 218730 had a related patch set uploaded (by Jdlrobson):
Collections link for anon takes user to public view.

https://gerrit.wikimedia.org/r/218730

Change 218730 merged by jenkins-bot:
Collections link for anon takes user to public view.

https://gerrit.wikimedia.org/r/218730

phuedx closed this task as Resolved.Jun 19 2015, 2:56 PM
phuedx added a subscriber: phuedx.

Verified locally. This ain't on BC yet though…

This is on beta-cluster and works fine.